# distrobuilder-create

Simple utility to automatically create [lxd][0] images with [distrobuilder][1]
and upload to a local instance of lxd. The included script will create both
container and virtual machine images.

At this stage, only Arch Linux images are generated. The files may need
tweaking to support other distributions.

## Usage

Add image templates to `/etc/distrobuilder-create`, start the included
`distrobuilder-create@.timer` systemd unit.

```sh
$EDITOR /etc/distrobuilder-create/archlinux.yml
systemctl enable --now distrobuilder-create@archlinux.timer
```

## License

GPL-3.0-only

[0]: https://linuxcontainers.org/lxd/introduction/
[1]: https://linuxcontainers.org/distrobuilder/introduction/
